> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Set Price List Record by Currency Code

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/pricelists/{price_list_id}/records/{variant_id}/{currency_code}
Content-Type: application/json

Creates or updates a *Price List Record* using the currency code.
**Notes**
* Supports up to 40 simultaneous PUT requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error, and your additional requests will fail.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/price-lists/price-lists-records/set-price-list-record

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `price_list_id` (integer, required) — The ID of the `Price List` requested.
- `variant_id` (integer, required) — ID of the variant on a product, or on an associated Price List Record.
- `currency_code` (string, required) — The currency code associated with the price record being acted upon.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an object.

- `price` (double, optional) — The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product.
- `sale_price` (double, optional) — The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.
- `retail_price` (double, optional) — The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.
- `map_price` (double, optional) — The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the MAP price will be treated as not being set on this variant.
- `bulk_pricing_tiers` (list of PricelistsPriceListIdRecordsVariantIdCurrencyCodePutRequestBodyContentApplicationJsonSchemaBulkPricingTiersItems, optional)

## Response

### 200

OK

- `data` (PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaData, optional) — The Price Record object.
- `meta` (Meta, optional) — Response metadata.

## Errors

### 404 Not Found Error

The resource was not found.

- `status` (integer, optional) — 404 HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `instance` (string, optional)

### 409 Conflict Error

`Price Record` was in conflict with another price record. This is the result of duplicate unique values.

- `errors` (PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaErrors, optional)
- `instance` (string, optional)
- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 422 Unprocessable Entity Error

`Price Record` was not valid. This is the result of missing required fields, or of invalid data. See the response for more details.

- `errors` (PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaErrors, optional)
- `instance` (string, optional)
- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 429 Too Many Requests Error

Allowed number of requests exceeded.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `instance` (string, optional)
- `errors` (ErrorResponseErrors, optional)

## Types

### PricelistsPriceListIdRecordsVariantIdCurrencyCodePutRequestBodyContentApplicationJsonSchemaBulkPricingTiersItems

- `quantity_min` (integer, optional) — The minimum quantity of associated variant in the cart needed to qualify for this tiers pricing.
- `quantity_max` (integer, optional) — The maximum allowed quantity of associated variant in the cart to qualify for this tiers pricing.
- `type` (enum, optional) — The type of adjustment that is made. Acceptable values: price – the adjustment amount per product; percent – the adjustment as a percentage of the original price; fixed – the adjusted absolute price of the product.
  - Allowed values: `fixed`, `price`, `percent`
- `amount` (double, optional) — The price adjustment amount. This value along with the type will decide the price per variant for the pricing tier.

### PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaData

The Price Record object.

- `calculated_price` (double, optional) — The price of the variant as seen on the storefront if a price record is in effect. It will be equal to the `sale_price`, if set, and the `price` if there is not a `sale_price`. Read only.
- `date_created` (datetime, optional) — The date on which the Price entry was created.
- `date_modified` (datetime, optional) — The date on which the Price entry was created.
- `product_id` (integer, optional) — The ID of the `Product` this `Price Record`ʼs `variant_id` is associated with. Read only.
- `price_list_id` (integer, optional) — The Price List with which this price set is associated.
- `variant_id` (integer, optional) — The variant with which this price set is associated. Either `variant_id` or `sku` is required.
- `currency` (string, optional) — The 3-letter currency code with which this price set is associated.
- `price` (double, optional) — The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product.
- `sale_price` (double, optional) — The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.
- `retail_price` (double, optional) — The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.
- `map_price` (double, optional) — The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the MAP price will be treated as not being set on this variant.
- `bulk_pricing_tiers` (list of PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaDataBulkPricingTiersItems, optional)

### Meta

Response metadata.

### PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaErrors

### ErrorResponseErrors

### PricelistsPriceListIdRecordsVariantIdCurrencyCodePutResponsesContentApplicationJsonSchemaDataBulkPricingTiersItems

- `quantity_min` (integer, optional) — The minimum quantity of associated variant in the cart needed to qualify for the pricing of this tier.
- `quantity_max` (integer, optional) — The maximum allowed quantity of associated variant in the cart to qualify for the pricing of this tier.
- `type` (enum, optional) — The type of adjustment that is made. Acceptable values: price – the adjustment amount per product; percent – the adjustment as a percentage of the original price; fixed – the adjusted absolute price of the product.
  - Allowed values: `fixed`, `price`, `percent`
- `amount` (double, optional) — The price adjustment amount. This value along with the type will decide the price per variant for the pricing tier.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "calculated_price": 10.99,
    "date_created": "2022-09-18T13:18:15Z",
    "date_modified": "2022-09-18T13:30:48Z",
    "product_id": 185,
    "price_list_id": 4,
    "variant_id": 356,
    "currency": "eur",
    "price": 12.99,
    "sale_price": 10.99,
    "retail_price": 15.99,
    "map_price": 17.99,
    "bulk_pricing_tiers": [
      {
        "quantity_min": 5,
        "quantity_max": 10,
        "type": "percent",
        "amount": 1
      },
      {
        "quantity_min": 11,
        "quantity_max": 20,
        "type": "percent",
        "amount": 2
      }
    ]
  },
  "meta": {}
}
```

**SDK Code**

```python value
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code"

payload = {}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript value
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go value
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby value
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java value
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php value
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code', [
  'body' => '{}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp value
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift value
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```